﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Charting;

namespace SLApp
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }

    public class NumberToWordConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            TickPoint tickPoint = value as TickPoint;

            int number = System.Convert.ToInt32(tickPoint.Value);
            string result = "";

            switch (number)
            {
                case 0:
                    result = "Downtime";
                    break;
                case 1:
                    result = "Slow";
                    break;
                case 2:
                    result = "InWork";
                    break;
                default:
                    break;
            }

            return result;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

    public class MainViewModel
    {
        public ObservableCollection<PlotInfo> Data { get; private set; }

        private static readonly Random rnd = new Random(878574);
  
        public MainViewModel()
        {
            this.Data = GetTestData(10);
        }
 
        private static ObservableCollection<PlotInfo> GetTestData(int dataSize)
        {
            var result = new ObservableCollection<PlotInfo>();
  
            for (int i = 0; i < dataSize; i++)
            {
                result.Add(new PlotInfo { XVal = i, YVal = rnd.Next(0, 3) });
            }
  
            return result;
        }
    }
  
    public class PlotInfo
    {
        public double XVal { get; set; }

        public double YVal { get; set; }
    }
}
